Error
A valid request URL is required to generate request examples{
"success": true,
"deployments": [
{
"_id": "<string>",
"releaseId": "<string>",
"environment": "dev",
"status": "building",
"previousDeploymentId": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}List deployments
List the deployments of a project, filtered by environment, release, or status, with offset pagination.
GET
/
api
/
cicd
/
v1
/
projects
/
{projectId}
/
deployments
Error
A valid request URL is required to generate request examples{
"success": true,
"deployments": [
{
"_id": "<string>",
"releaseId": "<string>",
"environment": "dev",
"status": "building",
"previousDeploymentId": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}environment (dev, staging, or production), releaseId, and status. Page through the results with limit (minimum 1) and offset (minimum 0).Authorizations
Query Parameters
Was this page helpful?